
From: Geert Uytterhoeven <geert@linux-m68k.org>

On Fri, 22 Aug 2003, Linus Torvalds wrote:
> Javier Achirica:
>   o [wireless airo] Fix PCI unregister code

This patch causes a regression: if CONFIG_PCI is not set, it doesn't compile
anymore. Here's a fix. I also killed a dead variable and its corresponding
warning:



 drivers/net/wireless/airo.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff -puN drivers/net/wireless/airo.c~airo-build-fix drivers/net/wireless/airo.c
--- 25/drivers/net/wireless/airo.c~airo-build-fix	2003-08-24 11:57:20.000000000 -0700
+++ 25-akpm/drivers/net/wireless/airo.c	2003-08-24 11:57:20.000000000 -0700
@@ -4156,7 +4156,7 @@ static void __devexit airo_pci_remove(st
 
 static int __init airo_init_module( void )
 {
-	int i, rc = 0, have_isa_dev = 0;
+	int i, have_isa_dev = 0;
 
 	airo_entry = create_proc_entry("aironet",
 				       S_IFDIR | airo_perm,
@@ -4174,7 +4174,7 @@ static int __init airo_init_module( void
 
 #ifdef CONFIG_PCI
 	printk( KERN_INFO "airo:  Probing for PCI adapters\n" );
-	rc = pci_module_init(&airo_driver);
+	pci_module_init(&airo_driver);
 	printk( KERN_INFO "airo:  Finished probing for PCI adapters\n" );
 #endif
 
@@ -4197,8 +4197,11 @@ static void __exit airo_cleanup_module( 
 	}
 	remove_proc_entry("aironet", proc_root_driver);
 
-	if (is_pci)
+	if (is_pci) {
+#ifdef CONFIG_PCI
 		pci_unregister_driver(&airo_driver);
+#endif
+	}
 }
 
 #ifdef WIRELESS_EXT

_
